package com.rjconsultores.ventaboletos.rest;

import javax.annotation.security.RolesAllowed;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import com.rjconsultores.ventaboletos.rest.bean.ParamsAlterarSenha;
import com.rjconsultores.ventaboletos.rest.service.AlterarSenhaService;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Path("/alterarSenha")
public class AlterarSenhaRS {
	
	@POST
	@Consumes({ MediaType.APPLICATION_JSON })
	@RolesAllowed("EMBARCADA")
	@Produces({ MediaType.APPLICATION_JSON })
	public Response alterarSenha(ParamsAlterarSenha params) {
		AlterarSenhaService service = (AlterarSenhaService) AppContext.getApplicationContext().getBean("alterarSenhaService");
		return Response.ok(service.alterarSenha(params), MediaType.APPLICATION_JSON).build();
	}
	
}
